Xerces Native Interface: Interface XMLLocator

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xni
Interface XMLLocator

public interface XMLLocator

Location information.

Version:
  $Id: XMLLocator.java 447247 2006-09-18 05:23:52Z mrglavas $
Author:
  Andy Clark, IBM

Method Summary
`java.lang.String` | `getBaseSystemId()` Returns the base system identifier.
`int` | `getCharacterOffset()` Returns the character offset, or `-1` if no character offset is available.
`int` | `getColumnNumber()` Returns the column number, or `-1` if no column number is available.
`java.lang.String` | `getEncoding()` Returns the encoding of the current entity.
`java.lang.String` | `getExpandedSystemId()` Returns the expanded system identifier.
`int` | `getLineNumber()` Returns the line number, or `-1` if no line number is available.
`java.lang.String` | `getLiteralSystemId()` Returns the literal system identifier.
`java.lang.String` | `getPublicId()` Returns the public identifier.
`java.lang.String` | `getXMLVersion()` Returns the XML version of the current entity.

Method Detail

### getPublicId

    public java.lang.String getPublicId()

  Returns the public identifier.

### getLiteralSystemId

    public java.lang.String getLiteralSystemId()

  Returns the literal system identifier.

### getBaseSystemId

    public java.lang.String getBaseSystemId()

  Returns the base system identifier.

### getExpandedSystemId

    public java.lang.String getExpandedSystemId()

  Returns the expanded system identifier.

### getLineNumber

    public int getLineNumber()

  Returns the line number, or `-1` if no line number is available.

### getColumnNumber

    public int getColumnNumber()

  Returns the column number, or `-1` if no column number is available.

### getCharacterOffset

    public int getCharacterOffset()

  Returns the character offset, or `-1` if no character offset is available.

### getEncoding

    public java.lang.String getEncoding()

  Returns the encoding of the current entity. Note that, for a given entity, this value can only be considered final once the encoding declaration has been read (or once it has been determined that there is no such declaration) since, no encoding having been specified on the XMLInputSource, the parser will make an initial "guess" which could be in error.

### getXMLVersion

    public java.lang.String getXMLVersion()

  Returns the XML version of the current entity. This will normally be the value from the XML or text declaration or defaulted by the parser. Note that that this value may be different than the version of the processing rules applied to the current entity. For instance, an XML 1.1 document may refer to XML 1.0 entities. In such a case the rules of XML 1.1 are applied to the entire document. Also note that, for a given entity, this value can only be considered final once the XML or text declaration has been read or once it has been determined that there is no such declaration.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.